 $(document).ready(function() {
    var queryString = window.location.search;
    var calendar = $('#calendar').fullCalendar({

        editable: false,

        header: {
            left: 'prev,next,today',
            center: 'title',
            right: 'month,agendaWeek,agendaDay'
        },

        events: "appointment_feed.php" + queryString,

        selectable: true,

        selectHelper: true,

        select: function(start, end) {
            $("#dialog-form").dialog({ modal: true, width:450});
            var date = $.fullCalendar.formatDate(start, 'YYYY-MM-DD');
            $("#fecha").val(date);
        },

        eventClick: function(event) {
            var start = $.fullCalendar.formatDate(event.start, 'HH:mm');
            var end = $.fullCalendar.formatDate(event.end, 'HH:mm');
            $("#event_id").val(event.id);
            $("#event-patient").html("<b>DNI/NIE: </b>" + event.patient);
            $("#event-description").html("<b>Observaciones: </b>" + event.description);
            $("#event-start").html("<b>Comienzo: </b>" + start);
            $("#event-end").html("<b>Fin: </b>" + end);
            $("#event-info").dialog({title: event.title, width:450});
        }

    });
});
